# Uses of Interface
javax.tools.StandardJavaFileManager

Packages that use StandardJavaFileManager
Package
Description
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of StandardJavaFileManager in javax.tools

Methods in javax.tools that return StandardJavaFileManager
Modifier and Type
Method
Description
`StandardJavaFileManager`
DocumentationTool.`getStandardFileManager(DiagnosticListener<? super JavaFileObject> diagnosticListener, Locale locale, Charset charset)`
Returns a new instance of the standard file manager implementation for this tool.
`StandardJavaFileManager`
JavaCompiler.`getStandardFileManager(DiagnosticListener<? super JavaFileObject> diagnosticListener, Locale locale, Charset charset)`
Returns a new instance of the standard file manager implementation for this tool.

## Uses of StandardJavaFileManager in jdk.jshell

Method parameters in jdk.jshell with type arguments of type StandardJavaFileManager
Modifier and Type
Method
Description
`JShell.Builder`
JShell.Builder.`fileManager(Function<StandardJavaFileManager, StandardJavaFileManager> mapping)`
Configure the `FileManager` to be used by compilation and source analysis.
`JShell.Builder`
JShell.Builder.`fileManager(Function<StandardJavaFileManager, StandardJavaFileManager> mapping)`
Configure the `FileManager` to be used by compilation and source analysis.